gi-glib-2.0.30: GLib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.GLib.Structs.TreeNode

Contents

- Exported types
- Methods
  - key
  - next
  - previous
  - value

Description

An opaque type which identifies a specific node in a `Tree`.

Since: 2.68

Synopsis

- newtype TreeNode = TreeNode (ManagedPtr TreeNode)
- treeNodeKey :: (HasCallStack, MonadIO m) => TreeNode -> m (Ptr ())
- treeNodeNext :: (HasCallStack, MonadIO m) => TreeNode -> m (Maybe TreeNode)
- treeNodePrevious :: (HasCallStack, MonadIO m) => TreeNode -> m (Maybe TreeNode)
- treeNodeValue :: (HasCallStack, MonadIO m) => TreeNode -> m (Ptr ())

# Exported types

newtype TreeNode Source #

Memory-managed wrapper type.

Constructors

TreeNode (ManagedPtr TreeNode) |

#### Instances

Instances details

Eq TreeNode Source # |
Instance details Defined in GI.GLib.Structs.TreeNode Methods (==) :: TreeNode -> TreeNode -> Bool Source # (/=) :: TreeNode -> TreeNode -> Bool Source #
BoxedPtr TreeNode Source # |
Instance details Defined in GI.GLib.Structs.TreeNode Methods boxedPtrCopy :: TreeNode -> IO TreeNode Source # boxedPtrFree :: TreeNode -> IO () Source #
ManagedPtrNewtype TreeNode Source # |
Instance details Defined in GI.GLib.Structs.TreeNode Methods toManagedPtr :: TreeNode -> ManagedPtr TreeNode Source #

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

key, next, previous, value.

#### Getters

None.

#### Setters

None.

## key

treeNodeKey Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> TreeNode | `node`: a `Tree` node
-> m (Ptr ()) | Returns: the key at the node.

Gets the key stored at a particular tree node.

Since: 2.68

## next

treeNodeNext Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> TreeNode | `node`: a `Tree` node
-> m (Maybe TreeNode) | Returns: the next node in the tree

Returns the next in-order node of the tree, or `Nothing` if the passed node was already the last one.

Since: 2.68

## previous

treeNodePrevious Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> TreeNode | `node`: a `Tree` node
-> m (Maybe TreeNode) | Returns: the previous node in the tree

Returns the previous in-order node of the tree, or `Nothing` if the passed node was already the first one.

Since: 2.68

## value

treeNodeValue Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> TreeNode | `node`: a `Tree` node
-> m (Ptr ()) | Returns: the value at the node.

Gets the value stored at a particular tree node.

Since: 2.68